#define dlsym xyz_sym
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#undef dlsym
#include <dlfcn.h>

#include "mrmacs.h"

char *progname;

int main (int argc, char *argv[])
{
    void *dltest_libhdl;
    char *err, *e1;
    double (*cosine)(double);
    progname = argv[0];
    if (argc < 1) {
	fprintf (stderr, "Usage: dltest <library-path>\n");
	exit (1);
    }
/*
    dllname = argv[1];
    dbif_reset (&db, "xyz");
    return 0;
*/
    dltest_libhdl = dlopen (argv[1], RTLD_LAZY);
    ifnull (dltest_libhdl) {
	e1 = dlerror ();
	err = strchr (e1, ':');
	if (err) ++err; else err = e1;
	printf ("Opening `%s' failed: %s\n", argv[1], err);
    } else {
	printf ("Opening `%s' succeeded.\n", argv[1]);
    }
    if (0) { cosine = dlsym (dltest_libhdl, "cos"); }
    return (isNULL(dltest_libhdl) ? 2 : 0);
}
